Update trust relationship
- PUT /platform/configuration/trust-relationships/{trust_relationship_id}
Updates a trust relationship.
Path Parameters
-
trust_relationship_idstringrequired -
Identifier for the trust relationship
Request
The trust relationship definition
-
namestring -
A name for the trust relationship
-
trust_by_defaultboolean -
If this relationship is trusted by default by all deployments in the current environment.
-
account_idsstring -
The ID of the accounts to trust by this relationship.
-
public_ca_certstring -
The public CA certificate of the environment to trust
-
installation_idstring -
The installation ID of the environment to trust
Responses
The request was valid and the trust relationship was updated.
-
idstringrequired -
The id of the trust relationship
-
namestringrequired -
The name of the trust relationship
-
trust_by_defaultbooleanrequired -
If this relationship is trusted by default by all deployments in the current environment.
-
account_idsstring -
The ID of the accounts trusted by this relationship.
-
localbooleanrequired -
If this is the trust relationship for the local environment
-
installation_idstring -
The installation ID of the environment to trust
Response Headers
-
x-cloud-resource-versionstring The resource version, which is used to avoid update conflicts with concurrent operations
-
x-cloud-resource-createdstring The date-time when the resource was created (ISO format relative to UTC)
-
x-cloud-resource-last-modifiedstring The date-time when the resource was last modified (ISO format relative to UTC)
The trust relationship request had errors.
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
You are not authorized to perform this action.
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
The trust relationship specified by {trust_relationship_id} cannot be found. (code: trust_relationships.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response